summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:28 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:28 -0400
commite631b00a9fce5c1b8331c973d50d3ffb87705827 (patch)
tree35e9f1b7cb8338d552a97c4db6cf2c4a88eb14b9
parent3dd44999088b962e99922f8d34daa29369f3aa34 (diff)
downloadslackbuilds-e631b00a9fce5c1b8331c973d50d3ffb87705827.tar.gz
slackbuilds-e631b00a9fce5c1b8331c973d50d3ffb87705827.tar.xz
games/gens-gs: Fixed for bash4.
-rw-r--r--games/gens-gs/gens-gs.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/games/gens-gs/gens-gs.SlackBuild b/games/gens-gs/gens-gs.SlackBuild
index a49b72121d..78f81ddd2b 100644
--- a/games/gens-gs/gens-gs.SlackBuild
+++ b/games/gens-gs/gens-gs.SlackBuild
@@ -75,12 +75,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# No man pages